URISyntax (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print.attribute, class: URISyntax
Keywords: javax.print.attribute.URISyntax class

# Class URISyntax

java.lang.Object
javax.print.attribute.URISyntax

All Implemented Interfaces:
  `Serializable, Cloneable`

Direct Known Subclasses:
  `Destination, PrinterMoreInfo, PrinterMoreInfoManufacturer, PrinterURI`

public abstract class URISyntax extends Object implements Serializable, Cloneable
Class `URISyntax` is an abstract base class providing the common implementation of all attributes whose value is a Uniform Resource Identifier (URI). Once constructed, a `URI` attribute's value is immutable.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `URISyntax(URI uri)`
  Constructs a `URI` attribute with the specified `URI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  Returns whether this `URI` attribute is equivalent to the passed in object.
  `URI`
  `getURI()`
  Returns this `URI` attribute's `URI` value.
  `int`
  `hashCode()`
  Returns a hashcode for this `URI` attribute.
  `String`
  `toString()`
  Returns a `String` identifying this `URI` attribute.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### URISyntax

    protected URISyntax(URI uri)
    Constructs a `URI` attribute with the specified `URI`.
    Parameters:
      `uri` - the `URI`
    Throws:
      `NullPointerException` - if `uri` is `null`

- ## Method Details

  - ### getURI

    public URI getURI()
    Returns this `URI` attribute's `URI` value.
    Returns:
      the `URI`

  - ### hashCode

    public int hashCode()
    Returns a hashcode for this `URI` attribute.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hashcode value for this object
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(Object)`

  - ### equals

    public boolean equals(Object object)
    Returns whether this `URI` attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
    1. `object` is not `null`.
    2. `object` is an instance of class `URISyntax`.
    3. This `URI` attribute's underlying `URI` and `object`'s underlying `URI` are equal.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `object` - `Object` to compare to
    Returns:
      `true` if `object` is equivalent to this `URI` attribute, `false` otherwise
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### toString

    public String toString()
    Returns a `String` identifying this `URI` attribute. The `String` is the string representation of the attribute's underlying `URI`.
    Overrides:
      `toString` in class `Object`
    Returns:
      a `String` identifying this object